package com.engine.sship.service;


import com.engine.sship.entity.*;

import java.util.List;
import java.util.Map;


/**
 * @author apple
 */
public interface OrgChartService {


   /**
    * @Description: 根据角色Id判断当前人员是否在成员信息
    * @Author: liang.cheng
    * @Date: 2024/1/3 3:16 PM
    * @param: [roleId, rolelevel]
    * @return: int
    */
    boolean selectIdsByRole(String roleId,String rolelevel);

    /**
     * @Description: 集团组织图 人员汇报关系
     * @Author: liang.cheng
     * @Date: 2024/1/3 10:07 AM
     * @param: []
     * @return: com.engine.sship.entity.ChartChildrensVO
     */
    TreeDataVO selectResourceChart();


    /**
     * @Description: 获取SiteHead人员集合
     * @Author: liang.cheng
     * @Date: 2024/1/3 4:23 PM
     * @param: []
     * @return: java.util.List<java.lang.Integer>
     */
    List<Integer> selectCusSiteHead();

    /**
     * @Description: 人员信息
     * @Author: liang.cheng
     * @Date: 2024/1/4 3:29 PM
     * @param: [personTableParam]
     * @return: com.engine.sship.entity.PersonTableVO
     */
    List<PersonTableVO> selectPerson(PersonTableParam personTableParam);

    /**
     * @Description: 组织架构图虚拟维度
     * @Author: liang.cheng
     * @Date: 2024/1/8 10:44 AM
     * @param: []
     * @return: com.engine.sship.entity.TreeDataVO
     */
    TreeDataVO selectOrganizationChart(String virtualType);


    /**
     * @Description: 虚拟维度 部门是否存在下级部门
     * @Author: liang.cheng
     * @Date: 2024/1/8 1:52 PM
     * @param: [supdepid]
     * @return: boolean
     */
    boolean isVirtualSubDepartment(String supdepid,String virtualType);

    /**
     * @Description: 虚拟维度下人员信息
     * @Author: liang.cheng
     * @Date: 2024/1/8 2:59 PM
     * @param: [personTableParam]
     * @return: java.util.List<com.engine.sship.entity.PersonTableVO>
     */
    List<PersonTableVO> selectVirtualPerson(PersonTableParam personTableParam);

    /**
     * @Description:
     * @Author: liang.cheng
     * @Date: 2024/1/8 3:41 PM
     * @param: []
     * @return: java.util.List<com.engine.sship.entity.PersonTableVO>
     */
    List<SelectVO> selectVirtualTop();

   /**
    * @Description:
    * @Author: xxy
    * @Date: 2024/1/31 14:26 PM
    * @param: [virtualType]
    * @return: java.util.List<com.engine.sship.entity.TreeDataVO>
    */
   TreeDataVO selectVirtualTopTwo(String virtualType);


 /**
  * @Description:
  * @Author: xxy
  * @Date: 2024/1/31 15:26 PM
  * @param: [virtualTopParam]
  * @return: java.util.List<com.engine.sship.entity.SelectVO>
  */
 List<SelectVO> selectVirtualTopThree(VirtualTopParam virtualTopParam);
}
